Subject: Re: [-next] staging/comedi regressions

From: Greg Kroah-Hartman <[email-masked]>
Date: Tue, 12 Mar 2013 15:21:32 -0700

On Tue, Mar 12, 2013 at 11:13:50PM +0100, Geert Uytterhoeven wrote:
> m68k/allmodconfig:
> 
> drivers/staging/comedi/drivers/ni_atmio.c: In function ‘ni_isapnp_find_board’:
> drivers/staging/comedi/drivers/ni_atmio.c:353: error: ‘n_ni_boards’
> undeclared (first use in this function)
> drivers/staging/comedi/drivers/ni_atmio.c:353: error: (Each undeclared
> identifier is reported only once
> drivers/staging/comedi/drivers/ni_atmio.c:353: error: for each
> function it appears in.)
> drivers/staging/comedi/drivers/ni_atmio.c: In function ‘ni_getboardtype’:
> drivers/staging/comedi/drivers/ni_atmio.c:391: error: ‘n_ni_boards’
> undeclared (first use in this function)
> drivers/staging/comedi/drivers/ni_atmio.c: In function ‘ni_atmio_attach’:
> drivers/staging/comedi/drivers/ni_atmio.c:470: error: ‘boardtype’
> undeclared (first use in this function)
> 
> http://kisskb.ellerman.id.au/kisskb/buildresult/8392062/

Hartley already fixed it, this will show up in the next linux-next tree
as I commited the fix a few hours ago.

thanks,

greg k-h